Skip to content

Get



GET /api/v1/service_manage/{service_uuid}/get

Overview

Get information for a single service list.

Route Parameters

Parameter Name Type Required Description
service_uuid string Y The uuid of the service
Example: xxxx
Allow empty string: False

Query Request Parameters

Parameter Name Type Required Description
originStr string Pass 1 for a raw string, 0 for structured data; default is 1
Allow empty: False

Additional Parameter Notes

Request Body Structure Description

Parameter Name Type Required Description
service_uuid string Y The unique uuid of the service list, prefixed with sman_
originStr string N Whether the returned serviceCatelog should be a raw string: 1 for yes, 0 for no. Default is 1

Response Body Structure Description

Parameter Name Type Description
serviceCatelog string, dict The raw string or structured data of the service list
service string The service name
type string The service type

Request Example

curl 'https://openapi.guance.com/api/v1/service_manage/sman_xxxx32/get?originStr=0' \
  -H 'Content-Type: application/json' \
  -H 'DF-API-KEY: <DF-API-KEY>' \
  --compressed

Response

{
    "code": 200,
    "content": {
        "colour": "#40C9C9",
        "createAt": 1693798688,
        "creatorInfo": {
            "acntWsNickname": "",
            "email": "xxx",
            "iconUrl": "",
            "name": "Alibaba Cloud Monitoring Data Source",
            "username": "xxx"
        },
        "service": "test",
        "serviceCatelog": {
            "Docs": [
                {
                    "link": "https://docs.guance.com/en",
                    "name": "guance",
                    "provider": "example_yun"
                },
                {
                    "link": "https://docs.dataflux-func.com/doc.en",
                    "name": "func",
                    "provider": "example_yun"
                }
            ],
            "Related": {
                "AppId": "a138bcb0_47ef_11ee_9d75_31ea50b9d85a",
                "DashboardUUIDs": [
                    "dsbd_xxxx32",
                    "dsbd_xxxx32"
                ],
                "Tags": [
                    "mysql",
                    "test"
                ]
            },
            "Repos": [
                {
                    "link": "https://www.guance.com",
                    "name": "guance",
                    "provider": "example_yun"
                },
                {
                    "link": "https://func.guance.com",
                    "name": "func",
                    "provider": "example_yun"
                }
            ],
            "Team": {
                "colour": "#40C9C9",
                "oncall": [
                    {
                        "emails": [
                            "xxx@guance.com",
                            "xxx@guance.com"
                        ],
                        "name": "example_yun",
                        "type": "email"
                    },
                    {
                        "mobiles": [
                            "xxxxxxx5786",
                            "xxxxxxx4231"
                        ],
                        "name": "zhuyun",
                        "type": "mobile"
                    },
                    {
                        "name": "test",
                        "slack": "#test",
                        "type": "slack"
                    }
                ],
                "service": "jinlei_1",
                "team": "group_xxxx32",
                "type": "db"
            }
        },
        "type": "db",
        "updateAt": 1693798688,
        "updatorInfo": {
            "acntWsNickname": "",
            "email": "xxx",
            "iconUrl": "",
            "name": "Alibaba Cloud Monitoring Data Source",
            "username": "xxx"
        },
        "uuid": "sman_xxxx32"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-1255F7E2-9035-4696-B7EE-9DDBB2BC13D2"
} 

Feedback

Is this page helpful?